# Searches for gifts using predefined parameters

Searches for gifts using predefined parameters

Endpoint: POST /gifts/{tenantId}/search
Version: v1-2025-04-18
Security: knox-authorizer

## Security:

  - `knox-authorizer` (unknown)
    http bearer JWT

## Path parameters:

  - `tenantId` (string, required)
    The id of the tenant being accessed.

## Query parameters:

  - `exclusiveStartKey` (string)
    The start key for the search, for paging support

  - `fieldsToReturn` (string)
    The fields that you want to retrieve; if omitted, the entire object is returned

## Request body:

  - `application/json` (unknown)
    The gift that you would like to be saved.

## Request fields (application/json):

  - `appeal_id` (array)
    Appeal ids to search

  - `campaign_id` (array)
    Campaign ids to search

  - `contact_id` (array)
    Contact ids for the donor

  - `date` (array)

  - `fund_id` (array)
    Fund ids to search

  - `ids` (array)
    IDs to search

  - `master_gift_id` (array)
    Parent gift ids to search

  - `order_id` (array)
    Order ids to search

  - `organization_id` (array)
    Organization ids for the donor

  - `pledge_id` (array)
    Pledge ids to search

  - `recurring_gift_id` (array)
    Recurring gift ids to search

  - `type` (array)
    Types of the gifts

## Response 200:

  - `200` (unknown)
    The gift search was saved successfully.

## Response 200 fields (application/json):

  - `Items` (array)

  - `Items.appeal_id` (string)
    Appeal id for the gift

  - `Items.campaign_id` (string)
    Campaign id for the gift

  - `Items.contact_id` (string)
    Contact ids for the donor

  - `Items.date` (string)

  - `Items.fund_id` (string)
    Fund id for the gift

  - `Items.id` (string)
    ID of the gift

  - `Items.master_gift_id` (string)
    Parent gift id for the gift

  - `Items.order_id` (string)
    Order id for the gift

  - `Items.organization_id` (string)
    Organization ids for the donor

  - `Items.pledge_id` (string)
    Pledge id for the gift

  - `Items.recurring_gift_id` (string)
    Recurring gift id for the gift

  - `Items.type` (string)
    Types of the gifts

  - `LastEvaluatedKey` (string)

## Response 200 headers (application/json):

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 400:

  - `400` (unknown)
    The gift you supplied was invalid.

## Response 400 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized.

## Response 401 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 403:

  - `403` (unknown)
    Forbidden.

## Response 403 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 404:

  - `404` (unknown)
    The resource could not be found

## Response 404 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 409:

  - `409` (unknown)
    The gift could not be saved because it refers to/depends on a non-existent object.

## Response 409 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 429:

  - `429` (unknown)
    Limit exceeded... unable to add gift based on tenant limits.

## Response 429 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

## Response 500:

  - `500` (unknown)
    General server error.

## Response 500 headers:

  - `Access-Control-Allow-Headers` (string)

  - `Access-Control-Allow-Methods` (string)

  - `Access-Control-Allow-Origin` (string)

